## debian-edu-config 1.920

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = \
	debian-edu-ldapserver \
	ltsp-arch-debian-edu \
	update-ini-file

SPROGS = cfengine-debian-edu \
	debian-edu-fsautoresize \
	debian-edu-ltsp \
	debian-edu-nscd-netgroup-cache \
	debian-edu-pxeinstall \
	debian-edu-restart-services \
	debian-edu-test-install \
	debian-edu-update-netblock \
	snakeoil-on-ice \
	update-hostname-from-ip

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
gosadir    = $(sysconfdir)/gosa
ldapdir    = $(sysconfdir)/ldap
slbackupphpdir = $(sysconfdir)/slbackup-php
schemadir  = $(ldapdir)/schema
dhcpdir   = $(sysconfdir)/dhcp
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var
wwwdir     = /etc/debian-edu/www


CFFILES = \
	cf.adduser \
	cf.apache2 \
	cf.apt \
	cf.cfengine \
	cf.cups \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.firefox-esr \
	cf.grub \
	cf.inetd \
	cf.krb5client \
	cf.ldapserver \
	cf.ldapclient \
	cf.bind \
	cf.ltsp \
	cf.pxeinstall \
	cf.fstab \
	cf.nagios3 \
	cf.ntp \
	cf.samba \
	cf.squid \
	cf.syslog \
	cf.sysstat \
	cf.testsetup \
	cfd.conf \
	cfengine.conf

CFBINFILES = \
	cfd \
	cfrunhosts.pl

# Files to install in /etc/
SYSCONFFILES = \
	asound.conf \
	apt/apt.conf.d/90squid \
	apt/apt.conf.d/99-edu-prefer-firefox \
	bind/named.conf.ldap2zone \
	bind/db.intern \
	bind/db.10.in-addr.arpa. \
	bind/db.subnet00.intern \
	bind/db.subnet01.intern \
	bind/db.0.168.192.in-addr.arpa. \
	bind/db.1.168.192.in-addr.arpa. \
	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
	X11/Xsession.d/06debian-edu-firefox-ltsp \
	X11/Xsession.d/09debian-edu-missing-home \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	desktop-profiles/debian-edu-config.listing \
	debian-edu/nightkill.conf \
	default/munin-node \
	default/ldap2zone \
	cfengine/cfservd.conf \
	cfengine/update.conf \
	cfengine/inputs/cfagent.conf \
	cups/cupsd-debian-edu.conf \
	cups/cups-files-debian-edu.conf \
	dhcp/dhclient-exit-hooks.d/autofs-reload \
	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
	dhcp/dhclient-exit-hooks.d/fetch-ldap-cert \
	dhcp/dhclient-exit-hooks.d/hostname \
	dhcp/dhcpd-debian-edu.conf \
	dhcp/dhclient-debian-edu.conf \
	dovecot/local.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	firefox-esr/debian-edu.js \
	gosa/gosa.conf \
	php/apache2/php-debian-edu.ini \
	insserv/overrides/ntp \
	ldap/rootDSE-debian-edu.ldif \
	ldap/slapd-squeeze_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	samba/netlogon/1stlogon/1stlogon.bat \
	samba/netlogon/config/get_time.bat \
	samba/netlogon/config/penguin.bat \
	samba/netlogon/config/setglobals.bat \
	samba/netlogon/config/standarddrives-students.bat \
	samba/netlogon/config/standarddrives-teachers.bat \
	samba/netlogon/debian-edu-login.bat \
	samba/netlogon/_default_/default.bat \
	samba/netlogon/install/shortcut.vbs \
	samba/netlogon/logon-admins.bat \
	samba/netlogon/logon-jradmins.bat \
	samba/netlogon/logon-students.bat \
	samba/netlogon/logon-teachers.bat \
	samba/netlogon/mozilla/firefox/prefs.js \
	samba/netlogon/mozilla/mkmozapd.bat \
	samba/netlogon/mozilla/profiles.ini.FIREFOX \
	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
	samba/smb-debian-edu-client.conf \
	samba/smb-debian-edu.conf \
	samba/smb-winbind-debian-edu.conf \
	samba/samba-domain-policy.ldif \
	security/pam_mount-winbind-debian-edu.conf \
	security/pam_mount-stateless-debian-edu.conf \
	slbackup-php/config.php \
	smbldap-tools/smbldap_bind.conf \
	smbldap-tools/smbldap.conf \
	sssd/sssd-debian-edu.conf \
	xdg/autostart/welcome-webpage.desktop \
	lsb-release \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default.conf \
	apache2/sites-available/debian-edu-ssl-default.conf \
	apache2/conf-available/debian-edu-config-doc.conf \
	apache2/include/debian-edu-ldapauth.inc \
	nagios3/debian-edu/cgi.cfg \
	nagios3/debian-edu/commands.cfg \
	nagios3/debian-edu/contactgroups.cfg \
	nagios3/debian-edu/contacts.cfg \
	nagios3/debian-edu/dependencies.cfg \
	nagios3/debian-edu/htpasswd.users \
	nagios3/debian-edu/escalations.cfg \
	nagios3/debian-edu/hostextinfo.cfg \
	nagios3/debian-edu/hostgroups.cfg \
	nagios3/debian-edu/hosts.cfg \
	nagios3/debian-edu/host_templates.cfg \
	nagios3/debian-edu/nagios.cfg \
	nagios3/debian-edu/resources.cfg \
	nagios3/debian-edu/serviceextinfo.cfg \
	nagios3/debian-edu/servicegroups.cfg \
	nagios3/debian-edu/services.cfg \
	nagios3/debian-edu/service_templates.cfg \
	nagios3/debian-edu/timeperiods.cfg \
	munin/debian-edu-munin-node.conf \
	polkit-1/localauthority.conf.d/80-edu-admin.conf \
	dbus-1/system.d/hal-debian-edu.conf \
	nbd-server/conf.d/debian-edu.conf

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	ltspfs/mounter.d/edu-notify \
	mklocaluser.d/20-debian-edu-config \
	NetworkManager/dispatcher.d/02debian-edu-config \
	shutdown-at-night/clients-generator \
	resolvconf/update.d/bind-debian-edu \
	resolvconf/update.d/ltsp-chroots \
	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
	X11/Xsession-debian-edu \
	samba/smbaddclient.sh \
	samba/smbldap-machineadd-gosa

SCHEMAS = \
	samba.schema \
	dhcp.schema \
	dnsdomainaux.schema \
	ltspclientaux.schema \
	eduorg-200210-openldap.schema \
	eduperson-200806-openldap.schema \
	kerberos.schema \
	noreduperson-1.5-openldap.schema \
	samba3.schema \
	sudo.schema \
	trust.schema \
	gosystem.schema \
	gofon.schema \
	goto.schema \
	gosa-samba3.schema \
	gofax.schema \
	goserver.schema \
	goto-mime.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	firstuser.ldif \
	ipnetworks.ldif \
	netgroup.ldif \
	samba.ldif \
	sudo.ldif \
	krb5.ldif \
	ltsp.ldif \
	gosa.ldif \
	gosa-server.ldif

LDAPPROGRAMS = \
	ldap-add-host-to-netgroup \
	ldap-add-user-to-group \
	ldap-createuser-krb5 \
	ldap2netgroup \
	ldap-debian-edu-install \
	mkslapdcert \
	sitesummary2ldapdhcp

WWWFILES = \
	index.html.ca \
	index.html.da \
	index.html.de \
	index.html.en \
	index.html.es \
	index.html.fr \
	index.html.id \
	index.html.it \
	index.html.ja \
	index.html.nb \
	index.html.nl \
	index.html.pt \
	index.html.pt_BR \
	index.html.ro \
	index.html.ru \
	index.html.zh \
	skl-ren_css.css \
	logo-trans.png \
	wpad.dat

KIOSKFILES = \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/chguserpw.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-writer.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gcompris.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/gimp-2.2.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kgeography.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/stopmotion.desktop \
	share/debian-edu/students/share/config/kdeglobals \
	share/debian-edu/students/share/config/konqiconviewrc \
	share/debian-edu/students/share/config/uiserverrc \
	share/debian-edu/students/share/services/update_ksycoca \
	share/debian-edu/students/share/config/menus/applications.menu \
	share/debian-edu/students/share/config/menus/kde-applications.menu \
	share/debian-edu/students/share/applications/kalzium.desktop \
	share/debian-edu/students/share/applications/kbruch.desktop \
	share/debian-edu/students/share/applications/klatin.desktop \
	share/debian-edu/students/share/applications/kmplot.desktop \
	share/debian-edu/students/share/applications/kpercentage.desktop \
	share/debian-edu/students/share/applications/kstars.desktop \
	share/debian-edu/students/share/applications/kturtle.desktop \
	share/debian-edu/students/share/applications/kvoctrain.desktop \
	share/debian-edu/students/share/applications/kwordquiz.desktop \
	share/debian-edu/students/share/applications/oocalc.desktop \
	share/debian-edu/students/share/applications/ooimpress.desktop \
	share/debian-edu/students/share/applications/oowriter.desktop  \
	share/debian-edu/root/share/apps/kdesktop/Desktop/tjener.desktop

all:
	$(MAKE) -C www

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcpdir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done

	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README

# Samba roaming profile examples in different languages
	set -e ; for l in en de nb nl ; do \
	$(INSTALL_DATA) doc/examples/smb-roaming-profiles-$$l.conf \
	$(DESTDIR)$(docdir)/examples/smb-roaming-profiles-$$l.conf ; \
	done

	set -e ; for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done
	set -e ; for cf in $(CFBINFILES); do \
		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done

	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in \
		share/debian-edu-config/d-i/finish-install \
		share/debian-edu-config/d-i/pre-pkgsel \
		share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/cups-queue-autoflush \
		share/debian-edu-config/tools/cups-queue-autoreenable \
		share/debian-edu-config/tools/debian-edu-bless \
		share/debian-edu-config/tools/debian-edu-winbind \
		share/debian-edu-config/tools/get-default-homepage \
		share/debian-edu-config/tools/gosa-create \
		share/debian-edu-config/tools/gosa-create-host \
		share/debian-edu-config/tools/gosa-lock-user \
		share/debian-edu-config/tools/gosa-remove \
		share/debian-edu-config/tools/gosa-sync \
		share/debian-edu-config/tools/gosa-sync-dns-nfs \
		share/debian-edu-config/tools/gosa-unlock-user \
		share/debian-edu-config/tools/firefox-plugin-support \
		share/debian-edu-config/tools/kerberos-kdc-init \
		share/debian-edu-config/tools/ldap2bind-updatezonelist \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldappasswd2 \
		share/debian-edu-config/tools/locate-syslog-collector \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ltsp-addfirmware \
		share/debian-edu-config/tools/ltsp-update-resolvconf \
		share/debian-edu-config/tools/missing-desktop-file \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nbdquery \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nightkill.sh \

=== debian/changelog ===
debian-edu-config (1.920) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * sbin/update-hostname-from-ip: Adjust to fit new output of ifconfig.
  * cf/cf.homes: Adjust akonadi configuration file location. Thanks Petter.
  * Remove workarounds from Debian-custom/001-ltsp-settings as #839154 and
    #840667 have been fixed in ltsp-server 5.5.9-1.
  * ldap-tools/sitesummary2ldapdhcp: Apply patch from Petter Reinholdtsen
    to make the script work with old and new output of ifconfig.
    (Closes: #846847).
  * Add breaks to sitesummary (<< 0.1.26), thanks Petter.
  * sbin/debian-edu-pxeinstall: Use new location for the link to the PXE
    background image, adjust vertical position of menu entries.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Dec 2016 00:09:13 +0100

debian-edu-config (1.919) unstable; urgency=medium

  * Make changes needed for renaming the thin-client-server profile to
    ltsp-server-profile (see #588510). 
    Some occurrences of Thin-Client-Server are still left in the code to
    support upgrades of systems installed before Stretch.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Dec 2016 16:05:19 +0100

debian-edu-config (1.918) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Use deb.debian.org instead of httpredir.debian.org as mirror redirector,
    now that deb.debian.org is the default for debootstrap; adjusted files:
    - cf/cf.apt
    - sbin/debian-edu-ltsp
    - sbin/debian-edu-pxeinstall

 -- Holger Levsen <holger@debian.org>  Mon, 14 Nov 2016 12:10:39 +0100

debian-edu-config (1.917) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rename testsuite/xfree86 -> testsuite/xorg and adjust code to match Xorg.
  * Add squid fix to share/debian-edu-config/tools/run-at-firstboot.
  * sbin/debian-edu-pxeinstall: Adjust path / filename for PXE background image.
  * Remove trailing dots for subnet(00|01).intern zone setup and files.
    - Adjust ldap-bootstrap/gosa-server.ldif
    - Rename etc/bind/db.subnet00.intern. -> etc/bind/db.subnet00.intern
    - Rename etc/bind/db.subnet01.intern. -> etc/bind/db.subnet01.intern 
    - Adjust etc/bind/named.conf.ldap2zone
    These changes will allow consistent innetgr() usage also in subnets.

 -- Holger Levsen <holger@debian.org>  Thu, 03 Nov 2016 13:29:23 +0100

debian-edu-config (1.916) unstable; urgency=medium

  [ Holger Levsen ]
  * cf.grub: configure plymouth on all installations except servers and LTSP
    clients to show a nice bootsplash. (Closes: #582571)

  [ Wolfgang Schweer ]
  * Fix cf/cf.grub:
    - Use two editfiles sections to avoid syntax error.
    - Replace non existent group 'ltsp-client' with 'ltspclient'.
    - Adjust kernel command line settings to match groups correctly.
    - Use absolute path name for plymouth command as this is required.

  [ Holger Levsen ]
  * cf/cf.grub: use three editfiles sections to make sure roaming and
    standalone get plymouth splash but no legacy device names. Thanks to
    Wolfgang for yet another patch!

 -- Holger Levsen <holger@debian.org>  Sat, 22 Oct 2016 10:32:12 +0200

debian-edu-config (1.915) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * sbin/debian-edu-pxeinstall: Add instructions how to fetch daily d-i
    netboot images to ease testing during development.
  * share/ltsp/plugins/ltsp-build-client/Debian-custom/001-ltsp-settings:
    Add workarounds for LTSP bugs #839154 and #840667 so that the chroot
    installation can succeed.

 -- Holger Levsen <holger@debian.org>  Mon, 17 Oct 2016 14:34:12 +0200

debian-edu-config (1.914) unstable; urgency=medium

  * Add depends to lsb-base (>= 3.0-6), thanks lintian. 

 -- Holger Levsen <holger@debian.org>  Mon, 10 Oct 2016 21:09:30 +0200

debian-edu-config (1.913) unstable; urgency=medium

  [ Holger Levsen ]
  * Drop debian-edu-hwsetup, we are going to use isenkram-cli instead.
    (See #839724)
  * Add .gitignore file to be able to ignore .nobackup.

  [ Wolfgang Schweer ]
  * Fix some tools now that debian-edu-current-codename has been dropped.
    Replace 'debian-edu-current-codename' with 'lsb_release -sc'in:
    - sbin/debian-edu-ltsp
    - sbin/debian-edu-pxeinstall
    - share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection
    - testsuite/doc
    Drop share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist
    as it would be redundant after the same replacement.
  * share/ltsp/plugins/ltsp-build-client/Debian-custom/002-default-apt-keyring
    isn't compatible with the latest LTSP release and isn't needed any more,
    now that the debian-edu-archive-keyring package is gone; so it can be
    dropped.
  * Adjust Makefile.
  * Set d-i version to 9 in sbin/debian-edu-pxeinstall so that the daily d-i
    images are fetched.

 -- Holger Levsen <holger@debian.org>  Tue, 04 Oct 2016 16:21:38 +0200

debian-edu-config (1.912) unstable; urgency=medium

  * Translation updates:
    - Catalan, thanks to René Mérou.
  * Move ldap-tools/ldappasswd2 to share/debian-edu-config/tools/ so it ends
    up in /usr/share/debian-edu-config/tools/ and not in /usr/bin/.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Sep 2016 02:00:28 +0200

debian-edu-config (1.911) unstable; urgency=medium

  * Update line number in debian/debian-edu-config.lintian-overrides.
  * Remove unused (and outdated) files etc/ldap/slapd-debian-edu.conf
    and etc/ldap/slapd-lenny_debian-edu.conf and add code in postinst
    to remove the now obsolete conffiles. (Thanks to Wolfgang Schweer.)
  * Drop bin/debian-edu-current-codename workaround which was only used by
    auto-addfirmware which was replaced by isenkram-autoinstall-firmware in
    debian-edu-config 1.810.

 -- Holger Levsen <holger@debian.org>  Sun, 11 Sep 2016 15:02:07 +0200

debian-edu-config (1.910) unstable; urgency=medium

  * Stop using our own apt archive on ftp.skolelinux.org, see #836375:
    - sbin/debian-edu-pxeinstall: remove workaround for Wheezy and stop
      configuring our old archive for PXE installs.


## debian-edu-config 1.922

=== debian/changelog ===
debian-edu-config (1.922) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust web pages to match the Icinga2 -> Icinga change.

  [ Holger Levsen ]
  * Adjust testsuite to match the Icinga2 -> Icinga change.

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jan 2017 21:49:18 +0100

debian-edu-config (1.921) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix apache userdir configuration:
    - cf/apache2.cf: replace userdir with debian-edu-userdir.
    - Adjust debian-edu-userdir.conf to work with apache 2.4.

 -- Holger Levsen <holger@debian.org>  Fri, 13 Jan 2017 13:27:47 +0100

## debian-edu-config 1.923

=== debian/changelog ===
debian-edu-config (1.923) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust Debian-custom/001-ltsp-settings to enable LTSP installation
    in case the usbstick ISO image is used. (Closes: #854203).

  [ Holger Levsen ]
  * Switch to native source format 3.0, to easily avoid including .git into
    the source package.

 -- Holger Levsen <holger@debian.org>  Fri, 17 Feb 2017 17:37:41 +0100

## debian-edu-config 1.925

=== debian/changelog ===
debian-edu-config (1.925) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust sbin/update-hostname-from-ip to work with changed ifconfig output.
    (Closes: #859405)

 -- Holger Levsen <holger@debian.org>  Mon, 03 Apr 2017 20:01:19 +0200

debian-edu-config (1.924) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Use debian-edu-config.maintscript to remove obsolete conffiles.
  * debian/debian-edu-config.postinst: Remove unneeded code.
    Thanks to Andreas Beckmann for the hints. (Closes: #856682)

 -- Holger Levsen <holger@debian.org>  Sun, 05 Mar 2017 17:30:00 +0100

## debian-edu-config 1.926

=== debian/changelog ===
debian-edu-config (1.926) unstable; urgency=medium

  [ Holger Levsen ]
  * etc/firefox-esr/debian-edu.js: set mailto handler to thunderbird instead
    of icedove.

  [ Wolfgang Schweer ]
  * Remove userdir.load symlink from d/debian-edu-config.links, use cf/cf.apache
    to provide it. Thanks to Andreas Beckmann. (Closes: #859809)
  * Fix typo in testsuite/taskpkgs to use the correct profile name.

 -- Holger Levsen <holger@debian.org>  Thu, 27 Apr 2017 19:23:11 +0200

## debian-edu-config 1.927

=== debian/changelog ===
debian-edu-config (1.927) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix broken exim4 configuration, enable security. (Closes: #862652).
    - Add usr/share/debian-edu-config/tools/exim4-create-cert.
    - Add usr/share/debian-edu-config/tools/exim4-create-environment.
    - Adjust cf/cf.exim to use both scripts.
    - Adjust etc/exim4/exim-ldap-server-v4.conf.
      + Make it work after the exim4 security fix for CVE-2016-1531.
      + Improve security: create certificate to enable TLS, re-enable
        identity check via Kerberos; now only system mail to postmaster
        is enabled unconditionally; see #794602.
  * Fix typo in testsuite/network to use the correct LTSP-Server profile name.
  * Drop ddcprobe and ddccontrol related code from testsuite/hardware.
    - ddcprobe is part of the package xresprobe, not available in stretch.
    - ddccontrol belongs to package ddccontrol (monitor database unmaintained
      since > 10 years) which isn't installed by default.

 -- Holger Levsen <holger@debian.org>  Mon, 15 May 2017 18:15:45 +0200

## debian-edu-config 1.929

=== debian/changelog ===
debian-edu-config (1.929) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix exim4 environment configuration. (Closes: #863657).
    - The cfengine exim4-create-environment shellscript is executed too
      early, the Kerberos SMTP keytab isn't yet available. Use the fifth
      pass of the cfengine run to be on the safe side.

 -- Holger Levsen <holger@debian.org>  Wed, 31 May 2017 21:21:14 +0200

debian-edu-config (1.928) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix Makefile, include exim4 tools. (Closes: #863176).
    - Add share/debian-edu-config/tools/exim4-create-cert.
    - Add share/debian-edu-config/tools/exim4-create-environment.

 -- Holger Levsen <holger@debian.org>  Wed, 24 May 2017 15:04:36 +0200

=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: extra
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Mike Gabriel <sunweaver@debian.org>,
           Wolfgang Schweer <wschweer@arcor.de>,
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: po-debconf,
                     po4a
Homepage: http://www.skolelinux.org
Vcs-Browser: https://anonscm.debian.org/git/debian-edu/debian-edu-config.git/
Vcs-Git: git://anonscm.debian.org/debian-edu/debian-edu-config.git

Package: debian-edu-config
Architecture: all
Pre-Depends: ${misc:Pre-Depends}, initscripts
Depends: ${misc:Depends},
         lsb-base (>= 3.0-6),
         cfengine2,
         debconf-utils,
         debian-edu-artwork,
         desktop-profiles,
         education-tasks (>= 1.806),
         fping,
         host,
         isenkram-cli,
         ldap-utils,
         libconfig-inifiles-perl,
         libfilesys-df-perl,
         libhtml-fromtext-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libnet-netmask-perl,
         libpam-python,
         libproxy-tools,
         libproxy1-plugin-kconfig,
         libproxy1-plugin-mozjs,
         libproxy1-plugin-networkmanager,
         libterm-readkey-perl,
         libtext-unaccent-perl,
         lockfile-progs,
         lsb-base,
         lsb-release,
         mime-support,
         net-tools,
         netcat,
         ng-utils,
         openssl,
         patch,
         python,
         python-notify,
         smbldap-tools (>= 0.9.7-1),
         ssl-cert,
         swaks,
         tftp | tftp-hpa,
         uuid,
Recommends: binutils,
            ddccontrol,
            libnotify-bin,
            lsof,
            memtest86+,
            resolvconf,
            syslinux
Suggests: atftpd | tftpd-hpa
Breaks: ldap2zone (<< 0.2-8~), sitesummary (<< 0.1.26)
Replaces: ldap2zone (<< 0.2-8~)
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

## debian-edu-config 1.929+deb9u1

=== Makefile ===
--- 
+++ 
@@ -92,6 +92,7 @@
 	debian-edu/nightkill.conf \
 	default/munin-node \
 	default/ldap2zone \
+	chromium/policies/managed/chromium-networked-prefs \
 	cfengine/cfservd.conf \
 	cfengine/update.conf \
 	cfengine/inputs/cfagent.conf \
@@ -371,4 +372,3 @@
 		share/debian-edu-config/tools/movehome \
 		share/debian-edu-config/tools/nbdquery \
 		share/debian-edu-config/tools/nbdswap-cleanup \
-		share/debian-edu-config/tools/nightkill.sh \

=== debian/changelog ===
debian-edu-config (1.929+deb9u1) stretch; urgency=medium

  [ Wolfgang Schweer ]
  * Rewrite wpad-extract tool to be independent from KDE related files.
    (Closes: #888829).
  * Adjust Samba configuration. Allow joining of Windows 10 clients to the
    Samba NT4-style domain. (Closes: #864663).

  [ Mike Gabriel ]
  * debian/control: Drop libproxy-tools, add libpacparser1. (as part of
    fixing #888829).
  * Chromium: Pre-configure Chromium Webbrowser system-wide to auto-detect the
    http proxy settings via WPAD (plus locking the proxy settings dialog for
    users). (Closes: #891262).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 23 Feb 2018 23:11:10 +0100

## debian-edu-config 1.929+deb9u3

=== debian/changelog ===
debian-edu-config (1.929+deb9u3) stretch; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-config.chromium-ldapconf: Remove slapd start requirement.

 -- Holger Levsen <holger@debian.org>  Tue, 12 Feb 2019 15:05:09 +0100

debian-edu-config (1.929+deb9u2) stretch; urgency=medium

  [ Wolfgang Schweer ]
  * Fix configuration of personal web pages. (Closes: #866228).
    - Set right order of linking in cf/cf.apache2.
    - Add conditional code to d/d-e-c.postinst to fix the wrong configuration
      generated via the cfengine run during main server installation
      (introduced in version 1.926).
  * Re-enable offline installation of a combi server including diskless
    workstation support. (Closes: #867271, #904331).
    - 015-edu-apt-source: fix apt-get options to be able to use a repo of
      type 'file://'. As 'media/cdrom/' in the LTSP chroot is treated as
      such a repo, add 'acquire::check-valid-until=0' to APT_GET_OPTS;
      otherwise installation fails because the Release file is expired.
    - 032-edu-pkgs: Move all diskless workstation installation parts to
      the finalization stage of LTSP chroot installation.
  * Enable Chromium homepage setting at installation time and via LDAP as
    further improvements for the fix for bug #891262 in version 1.929+deb9u1:
    - Add cf/cf.chromium (cfengine).
    - Add debian/debian-edu-config.chromium-ldapconf (init script).
    - Add share/debian-edu-config/tools/update-chromium-homepage (used by
      both cfengine and the init script).
    - Adjust Makefile and debian/rules.

  [ Mike Gabriel ]
  * update-chromium-homepage:
    - Don't complain about non-existing config file when attempting its removal.
    - Don't statically set http://www as homepage, use detected homepage
      instead. (Closes: #911790)

 -- Holger Levsen <holger@debian.org>  Fri, 08 Feb 2019 13:49:38 +0100

## debian-edu-config 1.929+deb9u4

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	cf.adduser \
 	cf.apache2 \
 	cf.apt \
+	cf.chromium \
 	cf.cfengine \
 	cf.cups \
 	cf.dhcpserver \
@@ -371,4 +372,3 @@
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
 		share/debian-edu-config/tools/nbdquery \
-		share/debian-edu-config/tools/nbdswap-cleanup \

=== www/Makefile ===
#
# To migrate one of the existing HTML based translations to .po based
# translation, make sure this command work:
#   po4a-gettextize -M UTF-8 -f xhtml -m index.html.en -L UTF-8 -l index.html.XX -p XX.po
# For this to work, the index.html.XX need to be valid XHTML, and have the same structure
# as the english original.  xmllint can be used to find XML errors.

WEBPAGES = \
  index.html.da \
  index.html.de \
  index.html.en \
  index.html.ca \
  index.html.es \
  index.html.nl \
  index.html.nb \
  index.html.fr \
  index.html.id \
  index.html.it \
  index.html.ja \
  index.html.pt \
  index.html.pt_BR \
  index.html.ro \
  index.html.ru \
  index.html.zh 

all: $(WEBPAGES)

$(WEBPAGES): %.po

%.po: index.html.en
	po4a po4a.cfg

stats:
	@echo "www translations"
	@for f in *.po; do printf "  $$f: " ; msgfmt --statistics -o /dev/null $$f; done
	@echo "debconf translations"
	@cd ../debian/po; for f in *.po; do printf "  $$f: " ; msgfmt --statistics -o /dev/null $$f; done

clean:

=== debian/changelog ===
debian-edu-config (1.929+deb9u4) stretch-security; urgency=high

  * Security fix for CVE-2019-3467

  [ Wolfgang Schweer ]
  * share/debian-edu-config/tools/kerberos-kdc-init:
    - Set proper rights for users in kadm5.acl file. (Closes: #946797)
  * Adjust debian/debian-edu-config.postinst to fix kadm5.acl upon upgrades.

  [ Holger Levsen ]
  * Improve debian/debian-edu-config.postinst fix to only run once on
    upgrades.

  [ Dominik George ]
  * Add NEWS to warn administrators with possible local changes.

 -- Dominik George <natureshadow@debian.org>  Tue, 17 Dec 2019 18:38:50 +0100

=== debian/control ===
--- 
+++ 
@@ -34,8 +34,8 @@
          libio-socket-ssl-perl,
          libnet-ldap-perl,
          libnet-netmask-perl,
+         libpacparser1,
          libpam-python,
-         libproxy-tools,
          libproxy1-plugin-kconfig,
          libproxy1-plugin-mozjs,
          libproxy1-plugin-networkmanager,

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=`pwd`/debian/debian-edu-config

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)

override_dh_installinit:
	# Start it after 15bind9 and 19slapd
	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
	dh_installinit --init-script firefox-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
	dh_installinit --init-script chromium-ldapconf -r --no-start -u"start 97 2 3 4 5 ."
	dh_installinit --init-script enable-nat --no-start

override_dh_gconf:
	dh_gconf  --priority=50

## debian-edu-config 1.929+deb9u5

=== Makefile ===
--- 
+++ 
@@ -316,6 +316,7 @@
 	done
 
 	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
+	$(INSTALL_DATA) README.public_html_with_PHP-CGI+suExec.md $(DESTDIR)$(docdir)/README.public_html_with_PHP-CGI+suExec.md
 
 # Samba roaming profile examples in different languages
 	set -e ; for l in en de nb nl ; do \
@@ -370,5 +371,3 @@
 		share/debian-edu-config/tools/ltsp-addfirmware \
 		share/debian-edu-config/tools/ltsp-update-resolvconf \
 		share/debian-edu-config/tools/missing-desktop-file \
-		share/debian-edu-config/tools/movehome \
-		share/debian-edu-config/tools/nbdquery \

=== debian/changelog ===
debian-edu-config (1.929+deb9u5) stretch-security; urgency=medium

  * etc/apache2/mods-available/debian-edu-userdir.conf:
    - White-space cleanup (tabs and spaces mixed).
    - CVE-2021-20001: Disable built-in PHP engine.
    - Add warning to not re-enable PHP interpretation in user dirs (with
      reference to our README).
  * README.public_html_with_PHP-CGI+suExec.md:
    - Provide documentation on how to enable suExec support in https userdirs
      (i.e. ~/public_html).
  * debian/NEWS:
    + Add file, inform about PHP being disabled in Apache2 user directories.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 11 Feb 2022 16:12:52 +0100
